diff pal_finder_wrapper.sh @ 3:e1a14ed7a9d6 draft

Updated to version 0.02.04.4 (new pal_filter script)
author pjbriggs
date Wed, 24 Feb 2016 08:25:17 -0500
parents b6ccc7dd7b02
children a73c48890bde
line wrap: on
line diff
--- a/pal_finder_wrapper.sh	Fri Dec 04 07:43:30 2015 -0500
+++ b/pal_finder_wrapper.sh	Wed Feb 24 08:25:17 2016 -0500
@@ -58,7 +58,7 @@
 : ${PRIMER3_CORE_EXE:=primer3_core}
 #
 # Filter script is in the same directory as this script
-PALFINDER_FILTER=$(dirname $0)/pal_finder_filter_and_assembly.py
+PALFINDER_FILTER=$(dirname $0)/pal_filter.py
 if [ ! -f $PALFINDER_FILTER ] ; then
     echo No $PALFINDER_FILTER script >&2
     exit 1
@@ -115,7 +115,7 @@
 if [ $# -lt 2 ] ; then
   echo "Usage: $0 FASTQ_R1 FASTQ_R2 MICROSAT_SUMMARY PAL_SUMMARY [OPTIONS]"
   echo "       $0 --454    FASTA    MICROSAT_SUMMARY PAL_SUMMARY [OPTIONS]"
-  exit
+  exits
 fi
 if [ "$1" == "--454" ] ; then
     PLATFORM="454"
@@ -357,9 +357,12 @@
     /bin/mv PAL_summary.filtered $FILTERED_MICROSATS
 fi
 if [ ! -z "$OUTPUT_ASSEMBLY" ] ; then
-    assembly=${fastq_r1%.*}_pal_finder_assembly_output.txt
+    assembly=${fastq_r1%.*}_pal_filter_assembly_output.txt
     if [ -f "$assembly" ] ; then
 	/bin/mv $assembly "$OUTPUT_ASSEMBLY"
+    else
+	echo ERROR no assembly output found >&2
+	exit 1
     fi
 fi
 if [ ! -z "$OUTPUT_CONFIG_FILE" ] && [ -f config.txt ] ; then